io.agora.rtc

## Class AgoraAudioEncodedFrameSender

- java.lang.Object
- - io.agora.rtc.AgoraAudioEncodedFrameSender

-     public class AgoraAudioEncodedFrameSender
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraAudioEncodedFrameSender(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the audio encoded frame sender
    `private void` | `nativeDestroy(long cptr)`
    `private int` | `nativeSend(long cptr, byte[] payloadData, int payloadSize, EncodedAudioFrameInfo info)`
    `int` | `sendEncodedAudioFrame(byte[] payloadData, EncodedAudioFrameInfo info)` Sends an encoded audio frame to the Agora server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraAudioEncodedFrameSender

          public AgoraAudioEncodedFrameSender(long cptr)

  - ### Method Detail

    - #### sendEncodedAudioFrame

          public int sendEncodedAudioFrame(byte[] payloadData,
                                           EncodedAudioFrameInfo info)

      Sends an encoded audio frame to the Agora server
      Parameters:
        `payloadData` - The encoded audio data
        `info` - The information about the encoded audio frame
      Returns:
        The result of sending the encoded audio frame

    - #### destroy

          public void destroy()

      Destroys the audio encoded frame sender

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

    - #### nativeSend

          private int nativeSend(long cptr,
                                 byte[] payloadData,
                                 int payloadSize,
                                 EncodedAudioFrameInfo info)